Loading...
Searching...
No Matches
OpenMesh::Iterators::GenericIteratorT< Mesh, ValueHandle, MemberOwner, PrimitiveStatusMember, PrimitiveCountMember > Class Template Reference

## Public Types

typedef ValueHandle | value_handle
typedef value_handle | value_type
typedef std::bidirectional_iterator_tag | iterator_category
typedef std::ptrdiff_t | difference_type
typedef const Mesh * | mesh_ptr
typedef const Mesh & | mesh_ref
typedef decltype(make_smart(std::declval< ValueHandle >(), std::declval< Mesh >())) | SmartHandle
typedef const SmartHandle & | reference
typedef const SmartHandle * | pointer

## Public Member Functions

| GenericIteratorT ()
| Default constructor.
| GenericIteratorT (mesh_ref _mesh, value_handle _hnd, bool _skip=false)
| Construct with mesh and a target handle.
reference | operator* () const
| Standard dereferencing operator.
pointer | operator-> () const
| Standard pointer operator.
value_handle | handle () const
| Get the handle of the item the iterator refers to.
| operator value_handle () const
| Cast to the handle of the item the iterator refers to.
bool | operator== (const GenericIteratorT &_rhs) const
| Are two iterators equal? Only valid if they refer to the same mesh!
bool | operator!= (const GenericIteratorT &_rhs) const
| Not equal?
GenericIteratorT & | operator++ ()
| Standard pre-increment operator.
GenericIteratorT | operator++ (int)
| Standard post-increment operator.
GenericIteratorT & | operator-- ()
| Standard pre-decrement operator.
GenericIteratorT | operator-- (int)
| Standard post-decrement operator.
void | enable_skipping ()
| Turn on skipping: automatically skip deleted/hidden elements.
void | disable_skipping ()
| Turn on skipping: automatically skip deleted/hidden elements.

## Protected Attributes

SmartHandle | hnd_
unsigned int | skip_bits_

## Member Function Documentation

## handle()

template<class Mesh, class ValueHandle, class MemberOwner, bool(MemberOwner::*)() const PrimitiveStatusMember, size_t(MemberOwner::*)() const PrimitiveCountMember>

value_handle OpenMesh::Iterators::GenericIteratorT< Mesh, ValueHandle, MemberOwner, PrimitiveStatusMember, PrimitiveCountMember >::handle | ( |  | ) | const

inline

Get the handle of the item the iterator refers to.

Deprecated
  This function clutters your code. Use dereferencing operators -> and * instead.

## operator value_handle()

template<class Mesh, class ValueHandle, class MemberOwner, bool(MemberOwner::*)() const PrimitiveStatusMember, size_t(MemberOwner::*)() const PrimitiveCountMember>

OpenMesh::Iterators::GenericIteratorT< Mesh, ValueHandle, MemberOwner, PrimitiveStatusMember, PrimitiveCountMember >::operator value_handle | ( |  | ) | const

inline

Cast to the handle of the item the iterator refers to.

Deprecated
  Implicit casts of iterators are unsafe. Use dereferencing operators -> and * instead.

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/IteratorsT.hh